<f:layout name="Default"/>

<f:section name="content">
    <f:asset.css identifier="courseview-styles" href="EXT:drk_courseview/Resources/Public/Css/styles.css" />
        <header class="header">
            <h3>{f:translate(id: 'courseResult.form.headline')}</h3>
        </header>
        <f:if condition="{courses}">
            <f:then>
                <f:format.raw>
                    <p><strong>{preselectionCourse.CourseTypeDescription}
                        <f:if condition="{settings.header_suffix.ls}"> {settings.header_suffix.ls}</f:if>
                    </strong>
                    </p>
                    <ul class="c-courseview__list">
                        <f:for each="{courses}" as="course" iteration="courseIterator">
                            <li class="c-courseview__list-item">
                                <p>
                                    <f:if condition="{course.Date -> f:count()} == 1">
                                        <f:then>
                                            <b>{course.Date.0.date} {course.Date.0.time} {f:translate(id:'courseResult.list.oclock')}</b>
                                        </f:then>
                                        <f:else>
                                            <f:if condition="{settings.show_all_Dates}">
                                                <f:then>
                                                    <f:for each="{course.Date}" as="date"
                                                           iteration="courseDateIterator">
                                                        {date.date} {date.time} {f:translate(id:
                                                        'courseResult.list.oclock')}
                                                        <br/>
                                                    </f:for>
                                                </f:then>
                                                <f:else>
                                                    <span><f:count>{course.Date}</f:count> Termine</span><br/>
                                                    <f:for each="{course.Date}" as="date"
                                                           iteration="courseDateIterator">
                                                        <f:if condition="{courseDateIterator.isFirst}">
                                                            {date.date} {date.time} {f:translate(id:
                                                            'courseResult.list.oclock')} bis<br/>
                                                        </f:if>
                                                        <f:if condition="{courseDateIterator.isLast}">
                                                            {date.date} {date.time} {f:translate(id:
                                                            'courseResult.list.oclock')}
                                                            <br/>
                                                        </f:if>
                                                    </f:for>
                                                </f:else>
                                            </f:if>
                                        </f:else>
                                    </f:if>
                                </p>
                                <p>
                                    <f:format.raw value="{course.Name}"/>
                                    <f:if condition="{settings.show_course_event_number}">
                                        <span>({course.InternalName})</span>
                                    </f:if>
                                    <f:if condition="{course.Registration}">
                                        <a href="{course.Registration}" target="_blank" class="button button--donate c-courseview__course-register"
                                           title="{f:translate(id: 'courseResult.list.registerLinkTitle')}">
                                            {f:translate(id: 'courseResult.list.register')}
                                        </a>
                                    </f:if>
                                </p>
                                <p>
                                    <f:if condition="{course.City} && {course.Street}">
                                        <a href="https://www.google.com/maps?q={course.Latitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{course.Longitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&amp;t=m&amp;z=14$hl=de&amp;mrt=all&amp;iwd=1&amp;iwloc=A"
                                           target="_blank" title="{f:translate(id: 'courseResult.list.maplink.text')}">
                                            {course.Zip} {course.City}, {course.Street}
                                            <f:if condition="{course.Room} && {settings.show_room}">
                                                - Raum {course.Room}
                                            </f:if>
                                        </a>
                                        <br/>
                                    </f:if>
                                    <f:format.currency currencySign="&euro;">{course.Price}</f:format.currency>
                                    ,
                                    <f:if condition="{course.OpenSlots}">
                                        <f:then>
                                            <f:if condition="{course.OpenSlots} > 0">
                                                <f:then>
                                                    {course.OpenSlots} {f:if(condition: '{course.OpenSlots} > 1',
                                                    then: '{f:translate(id:\'courseResult.list.openSlotsAvailable\')}',
                                                    else:
                                                    '{f:translate(id: \'courseResult.list.openSlotAvailable\')}')}
                                                </f:then>
                                                <f:else>
                                                    {f:translate(id: 'courseResult.list.openSlotsAvailable')}
                                                </f:else>
                                            </f:if>
                                            <f:comment>
                                            ## KV Portal comes later
                                            <f:if condition="{course.KvPortalRegistration} != ''">
                                                <f:then>
                                                    <a href="{course.KvPortalRegistration}" target="_blank"
                                                       title="{f:translate(id: 'courseResult.list.registerLinkTitle')}">
                                                        {f:translate(id: 'courseResult.list.register-kvportal')}
                                                    </a><br/>
                                                    <f:if condition="{course.Registration}">
                                                    <a href="{course.Registration}" target="_blank"
                                                       title="{f:translate(id: 'courseResult.list.registerLinkTitle')}">
                                                        {f:translate(id: 'courseResult.list.register-ls')}
                                                    </a>
                                                    </f:if>
                                                </f:then>
                                                <f:else>
                                                    <f:if condition="{course.Registration}">
                                                    <a href="{course.Registration}" target="_blank"
                                                       title="{f:translate(id: 'courseResult.list.registerLinkTitle')}">
                                                        {f:translate(id: 'courseResult.list.register')}
                                                    </a>
                                                    </f:if>
                                                </f:else>
                                            </f:if>
                                            </f:comment>
                                        </f:then>

                                        <f:else>
                                            <f:if condition="{settings.show_waitinglist}">
                                                <f:then>
                                                    {f:translate(id: 'courseResult.list.waitingList')} -
                                                    <f:if condition="{course.Registration}">
                                                        <a href="{course.Registration}" target="_blank"
                                                           title="{f:translate(id: 'courseResult.list.registerLinkTitle')}">
                                                            {f:translate(id: 'courseResult.list.register')}
                                                        </a>
                                                    </f:if>
                                                </f:then>
                                                <f:else>
                                                    {f:translate(id: 'courseResult.list.noSlotsAvailable')}
                                                </f:else>
                                            </f:if>
                                        </f:else>
                                    </f:if>
                                </p>
                            </li>
                        </f:for>
                    </ul>
                </f:format.raw>
            </f:then>

            <f:else>
                <f:format.raw>
                    <p>{f:translate(id: 'courseResult.list.noOfferLinks')}</p>
                </f:format.raw>
            </f:else>
        </f:if>
</f:section>
